/*
* Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
*
* https://www.mall4j.com/
*
* 未经允许，不可做商业用途！
*
* 版权所有，侵权必究！
*/
import request from '@/utils/request'

// 保存上传文件记录
export function save (data) {
  return request({
    url: '/mall4cloud_biz/mp/attach_file',
    method: 'post',
    data
  })
}

// 保存pdf上传文件记录
export function savePdf (data) {
  return request({
    url: '/mall4cloud_biz/m/attach_file/save_pdf_file',
    method: 'post',
    data
  })
}

// 获取上传文件记录表列表
export function page (pageParam) {
  return request({
    url: '/mall4cloud_biz/mp/attach_file/page',
    method: 'get',
    params: pageParam
  })
}

// 更新文件记录
export function updateFileName (data) {
  return request({
    url: '/mall4cloud_biz/mp/attach_file/update_file',
    method: 'put',
    data
  })
}

// 删除上传文件记录
export function deleteFile (param) {
  return request({
    url: '/mall4cloud_biz/mp/attach_file',
    method: 'delete',
    params: param
  })
}
